#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Text_Display.H>

int main() {
     Fl_Window *win = new Fl_Window(200, 200);
     Fl_Text_Buffer *buff = new Fl_Text_Buffer();
     Fl_Text_Display *disp = new Fl_Text_Display(20, 20, 200-40, 200-40, "Display");
     disp->buffer(buff);
     win->resizable(*disp);
     win->show();
     buff->text("0001: This is a long long long long line of text.\n"
                "0002: This is a long long long long line of text.\n"
                "0003: This is a long long long long line of text.\n"
                "0004: This is a long long long long line of text.\n"
                "0005: This is a long long long long line of text.\n"
                "0006: This is a long long long long line of text.\n"
                "0007: This is a long long long long line of text.\n"
                "0008: This is a long long long long line of text.\n"
                "0009: This is a long long long long line of text.\n"
                "0010: This is a long long long long line of text.\n"
                "0011: This is a long long long long line of text.\n"
                "0012: This is a long long long long line of text.\n"
                "0013: This is a long long long long line of text.\n"
                "0014: This is a long long long long line of text.\n"
                "0015: This is a long long long long line of text.\n"
                "0016: This is a long long long long line of text.\n"
                "0017: This is a long long long long line of text.\n"
                "0018: This is a long long long long line of text.\n"
                "0019: This is a long long long long line of text.\n");
     disp->scroll(4, 0);
     disp->wrap_mode(Fl_Text_Display::WRAP_AT_BOUNDS, 0);
     return(Fl::run());
}
